Subject: resolved, but... Was: b19: include path flag problem
From: [email-masked] (Aaron Stromas)

15 Sep 1998 05:37:35 -0700
Message-ID: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
To: [email-masked]

> hi,
in the note i just posted i made a mistake of pasting the result of 'ls'
of a wrong file. it should have been

    ls /Netscape/SuiteSpot/plugins/sldap/slapi/include/ldap.h

as i started to type this correction i ran this ls and got 

bash-2.01$ ls /Netscape/SuiteSpot/plugins/sldap/slapi/include/ldap.h
ls: /Netscape/SuiteSpot/plugins/sldap/slapi/include/ldap.h: No such file
or directory
bash-2.01$

well, textually, this directory path appears to be identical to the one
i have in the Makefile, however, when i pasted what that path
(/Netscape/SuiteSpot/plugins/sldap/slapi/include) the file was found!

> 
> i've just installed the cygwin32 b19 on nt and i'm attempting to compile
> a file that has the following includes:
> 
> 
>     #include <nsacl/aclapi.h>
>     #include <certmap.h>
> 
> in my Makefile i have
> 
>     CC              = /usr/cygnus/b19/H-i386-cygwin32/bin/gcc
>     srcdir          = .
> 
>     CFLAGS          = -g
>     INCLUDE_CFLAGS  =
> -I/Netscape/certmap/include-I/Netscape/SuiteSpot/include \
>     -I/Netscape/SuiteSpot/plugins/sldap/slapi/include -I.
>     INTERNAL_CFLAGS = $(CFLAGS) ${INCLUDE_CFLAGS} $(USER_CFLAGS)
> 
> 
>      certinfo:
>      ${CC} -c ${INTERNAL_CFLAGS} certinfo.c
> 
> the certmap.h includes ldap.h:
> 
>     #ifndef _PUBLIC_CERTMAP_H
>     #define _PUBLIC_CERTMAP_H
> 
>     #include <ldap.h>
> 
>     #ifndef NSAPI_PUBLIC
>     #if defined( _WINDOWS ) || defined( _WIN32 ) || defined( XP_WIN32 )
>     #define NSAPI_PUBLIC __declspec(dllexport)
>     #else
>     #define NSAPI_PUBLIC
>     #endif
>     #endif
> ....
> 
> it appears that  the compiler fails to find the ldap.h
> 
>     bash-2.01$ make
>     /usr/cygnus/b19/H-i386-cygwin32/bin/gcc -c -g
> -I/Netscape/certmap/include -I/Net
>     scape/SuiteSpot/include
> -I/Netscape/SuiteSpot/plugins/sldap/slapi/include -I.
>     certinfo.c
>     In file included from certinfo.c:14:
>     /Netscape/certmap/include/certmap.h:4: ldap.h: No such file or
> directory
>     make: *** [certinfo] Error 1
>     bash-2.01$
> 
> the ldap.h is where it should be found, i see no errors in the path
> 
>     bash-2.01$ ls /Netscape/certmap/include/certmap.h
>     /Netscape/certmap/include/certmap.h
>     bash-2.01$
> 
> if i'm overlooking somethig obviuos, i aplogise for wasting the
> bandwidth.
--
Aaron Stromas     |   "Tick-tick-tick!!!... ja, Pantani is weg...."
Oracle Corp.        |       BRTN commentator, L'Alpe d'Huez, 1995 Tour
de France
+1 703 917 48 72  |
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".